# This script uses pikashu to build supercells of
# strontium titanate with different (001) stacking faults.

# 1: we create the unit cell of SrTiO3
pikashu -create 3.86 per Sr Ti O STO_unitcell.xyz

# 2: we expand the unit cell along Z to build a supercell
supersize=4    #Number of times we repeat the cell along Z
pikashu STO_unitcell.xyz -expand 1 1 ${supersize} STO_supercell xyz xsf

# 3: we shift the upper part of the supercell to build a stacking fault
# This defines the shift vector (in angstroms):
tau1=0.0
tau2=0.0
# We want to shift the upper half part of the supercell,
#i.e. atoms above 2*3.86
dist=7.71

#We use a loop to produce the files corresponding to
#the different stacking faults
for((i=0;i<=9;i++)) do
  tau1=`echo ${tau1}+0.193 | bc`;
  # We use pikashu with the '-shift' option to build the stacking faults
  pikashu STO_supercell.xyz STO_gsurf_${tau1}_${tau2} -shift above ${dist} z ${tau1} ${tau2} xyz xsf;
done
