MODULE comv
!
!**********************************************************************************
!*  COMV                                                                          *
!**********************************************************************************
!* This module contains the common variables used by PIKASHU.                     *
!**********************************************************************************
!* (C) March 2010 - Pierre Hirel                                                  *
!*     IZBS, Karlsruher Institut fuer Technologie                                 *
!*     Kaiserstr. 12, 76131 Karlsruhe, Germany                                    *
!*     pierre.hirel@izbs.uni-karlsruhe.de                                         *
!* Last modification: P. Hirel - 16 June 2010                                     *
!**********************************************************************************
!* This is free software, distributed under GNU/GPL version3 or greater, see:     *
!*   http://www.gnu.org/licenses/gpl.html                                         *
!* or look at the LICENSE file provided with this program.                        *
!**********************************************************************************
!
CHARACTER(LEN=15),PARAMETER:: version = ' v.b2010.06.16 ' !version of the program
!CHARACTER(LEN=15),PARAMETER:: version = '**  v. b0.2  **' !for release versions
INTEGER:: nwarn, nerr     !number of warnings/errors encountered
!
!
!**********************************
!*  MODES
!**********************************
CHARACTER(LEN=12):: mode     !mode in which the program runs
LOGICAL:: Hset               !is the H matrix set?
REAL*8, DIMENSION(3,3):: H   !Base vectors of the supercell
!
!
!
!**********************************
!*  OUTPUT
!**********************************
!The following string contains a list of formats available
!It should be updated when new formats are made available
CHARACTER(LEN=32),PARAMETER:: listofformats='(xyz/cfg/xsf/pos/gin)'
!The following variables decide if each format has to be output or not
LOGICAL:: output_xyz, output_cfg, output_xsf
LOGICAL:: output_gin, output_poscar, output_lammps
! -- add other formats here --
!
!
!
!**********************************
!*  OPTIONS
!**********************************
!This array of strings stores the options and their parameters
!Each string corresponds to one option + its parameters
!The options will be applied to the system in the order they
!appear in this array
!Increase the dimension of the array if you need it
CHARACTER(LEN=64), DIMENSION(20):: options_array
!
!
!
!**********************************
!*  PROGRAM BEHAVIOR
!**********************************
CHARACTER(LEN=128):: logfile !name of logfile for the program
LOGICAL:: overw              !do we automatically overwrite existing files?
INTEGER:: verbosity          !level of verbosity of the program
!
!
END MODULE comv
